<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);


$host = 'localhost'; // Update with your DB host
$dbname = 'prd_uploading'; // Update with your DB name
$username = 'prd_uploading'; // Update with your DB username
$password = 'Hel@2010'; // Update with your DB password

// Create database connection
$conn = new mysqli($host, $username, $password, $dbname);
if ($conn->connect_error) {
    die("Database Connection Failed: " . $conn->connect_error);
}

// Create table if not exists
$tableQuery = "CREATE TABLE IF NOT EXISTS photos (
    id INT AUTO_INCREMENT PRIMARY KEY,
    photo_name VARCHAR(255) NOT NULL UNIQUE,
    photo_url VARCHAR(255) NOT NULL
)";
if (!$conn->query($tableQuery)) {
    die("Table Creation Failed: " . $conn->error);
}

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_FILES['photos'])) {
    $uploadDir = 'uploads/'; // Change this to your desired folder
    if (!is_dir($uploadDir)) {
        mkdir($uploadDir, 0777, true);
    }
    
    foreach ($_FILES['photos']['tmp_name'] as $key => $tmp_name) {
        if (!$tmp_name) continue; // Skip empty uploads
        
        $originalName = $_FILES['photos']['name'][$key];
        $fileBaseName = pathinfo($originalName, PATHINFO_FILENAME); // Get name without extension
        $extension = pathinfo($originalName, PATHINFO_EXTENSION);
        
        // Ensure name is unique
        $newName = $fileBaseName;
        $counter = 1;
        while ($conn->query("SELECT * FROM photos WHERE photo_name = '$newName' ")->num_rows > 0) {
            $newName = $fileBaseName . "_" . $counter;
            $counter++;
        }
        
        $fileNameWithExt = $newName . '.' . $extension;
        $uploadPath = $uploadDir . $fileNameWithExt;
        
        if (move_uploaded_file($tmp_name, $uploadPath)) {
            $photoUrl = "https://helfaya.com/multim_uploading/uploads/$fileNameWithExt";
            
            // Insert into database
            $stmt = $conn->prepare("INSERT INTO photos (photo_name, photo_url) VALUES (?, ?)");
            if ($stmt) {
                $stmt->bind_param("ss", $newName, $photoUrl);
                if (!$stmt->execute()) {
                    die("Database Insert Error: " . $stmt->error);
                }
                $stmt->close();
            } else {
                die("Prepare Statement Error: " . $conn->error);
            }
        } else {
            die("File Upload Failed for: " . $originalName);
        }
    }
    echo "Upload successful! <a href='photos_list.php'>View Photos</a> | <a href='export_csv.php'>Export to CSV</a>";
}
?>

<!DOCTYPE html>
<html>
<head>
    <title>Upload Photos</title>
</head>
<body>
    <h2>Upload Multiple Photos</h2>
    <form action="" method="post" enctype="multipart/form-data">
        <input type="file" name="photos[]" multiple required>
        <button type="submit">Upload</button>
    </form>
</body>
</html>
